# Generated from runfile-tasks-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name runfile-tasks

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: Runfile tasks collection
License: MIT
URL: https://github.com/DannyBen/runfile-tasks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1
BuildArch: noarch

%description
A collection of tasks for Runfile.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/gem.runfile
%{gem_instdir}/yard.runfile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docker.runfile

%changelog
* Fri Nov 15 2024 mockbuilder - 1.0.4-1
- Initial package
